/******************************************************************************
 * test_matrix.c
 * Federico Bareilles
 * 08/02/2003
 *
 *
 *****************************************************************************/

#define _POSIX_SOURCE 1         /* POSIX compliant source  */

#include <stdio.h>
#include "matrix.h"


int main(void) /* only for test */
{
  int i;
  struct matrix *M,*A,*B;
  double **a;
  
  M = B = A = NULL;
  A = make_matrix(4,4);
  a = A->M;

  a[0][0] =  1; //1
  a[0][1] = -1;
  a[0][2] =  2; //2
  a[0][3] =  3;
  a[1][0] =  2;
  a[1][1] =  2; //2
  a[1][2] =  0.0001; //0
  a[1][3] =  2;
  a[2][0] =  4;
  a[2][1] =  1; //1
  a[2][2] = -1;
  a[2][3] = -1;
  a[3][0] =  1;
  a[3][1] =  2;
  a[3][2] =  3;
  a[3][3] =  .00003; //0

  //  M = prod_matrix(A,B);
  print_matrix(A);
  printf("Det = %f\n", det_matrix(A));
  
  
  M = inv_matrix(A);
  if(M != NULL){
    print_matrix(M);
    B = prod_matrix(A,M);
    print_matrix(B);
  }
   
  free_matrix(A);
  free_matrix(B);
  free_matrix(M);
  
  return 0;
}
